# molecule.yml is the central configuration entrypoint for Molecule. \
#  With this file, you can configure each tool that Molecule will employ when testing your role.
#
# Tells molecule everything it needs to know about your testing:
#  what OS to use, how to lint your role, how to test your role, etc.
---
dependency:
  name: galaxy
driver:
  name: docker
# Platforms define the instances to be tested, and the groups to which the instances belong.
platforms:
  - name: omnibus_base_13_8_1
    image: registry.gitlab.com/sandlin/dockerfiles/ansible-ubuntu1804:latest
    #groups:
    #  - ubuntu_omnibus_13_8_1
    override_command: False
    #privileged: True
    pre_build_image: True
    tmpfs:
      - /run
      - /run/lock
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
      - /tmp:/output:rw
    published_ports:
      - 0.0.0.0:80:80/tcp
    exposed_ports:
      - 80/tcp

provisioner:
  name: ansible
  log: True
  config_options:
    defaults:
      verbosity: 1
      timeout: 20
      callback_type: stdout
      profile_tasks: true
      profile_roles: true
      stdout_callback: yaml
      debug: False
  inventory:
    group_vars:
      all:
        #This file represents the minimum base config you need to utilize this role.
        gitlab_root_password: "password"
        gitlab_root_email: "test@example.com"

        api_username: "apiuser"
        api_password: "apipassword"

        ldap_enabled: False
        smtp_enabled: False
        email_enabled: False
        # General config.

        # If we use gitlab-ee we must have a license file to start the app.
        gitlab_edition: "gitlab-ce"
        gitlab_version: "13.8.1-ce.0"

        external_url: "http://localhost"

#    links:
#      group_vars: ./group_vars

verifier:
  name: ansible
  log: True
  config_options:
    defaults:
      debug: True
  enabled: True

lint: |
  set -e
  yamllint .
  ansible-lint
  flake8

scenario:
  name: default
  scenario:
    create_sequence:
      - create # Create the Docker container
      - prepare # There are no prepare requirements for this role currently.
    check_sequence:
      - destroy
      - create # Create the Docker container
      - prepare # There are no prepare requirements for this role currently.
      - converge # Call the Ansible role
      - check
      - destroy
    converge_sequence:
      - create # Create the Docker container
      - prepare # There are no prepare requirements for this role currently.
      - converge # Call the Ansible role
    destroy_sequence:
      - destroy
    test_sequence:
      - lint # Run yamllint and ansible-lint on YAML files, and flake8 on the Python test files
      - destroy
      #- syntax # Having issues getting this running in pipeline and I'm already doing lint so take this out.
      - create # Create the Docker container
      #- prepare # There are no prepare requirements for this role currently.
      - converge # Run molecule/default/playbook.yml
      - idempotence # Run the playbook a second time to ensure nothing is marked as changed.
      - verify # Run tests
      - destroy
